## indi-weewx-json 1.0

=== CMakeLists.txt ===
PROJECT(indi_weewx_json C CXX)
cmake_minimum_required(VERSION 3.0)

set (WEEWX_VERSION_MAJOR 1)
set (WEEWX_VERSION_MINOR 0)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")

set(CMAKE_CXX_FLAGS "-g -std=c++0x ${CMAKE_CXX_FLAGS}")

find_package(INDI REQUIRED)
find_package(CURL REQUIRED)

if (CMAKE_VERSION VERSION_LESS 3.12.0)
set(CURL ${CURL_LIBRARIES})
else()
set(CURL CURL::libcurl)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_weewx_json.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_weewx_json.xml)
set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CURL_INCLUDE_DIR})

include(CMakeCommon)

set(weewx_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/indi_weewx_json.cpp
)

add_executable(indi_weewx_json ${weewx_SRCS})

target_link_libraries(indi_weewx_json ${INDI_LIBRARIES} ${INDI_DRIVER_LIBRARIES} ${CURL})

install(TARGETS indi_weewx_json RUNTIME DESTINATION bin )

install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/indi_weewx_json.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-weewx-json (1.0-3) unstable; urgency=medium

  * debian/control: move package to the debian-astro team

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Oct 2025 11:38:00 +0200

indi-weewx-json (1.0-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113038)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:40:34 +0200

indi-weewx-json (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 27 Dec 2022 09:24:11 +0000

=== debian/control ===
Source: indi-weewx-json
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libcurl4-gnutls-dev
Standards-Version: 4.6.1
Homepage: https://github.com/indilib/indi-3rdparty
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-weewx-json
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-weewx-json.git
Rules-Requires-Root: no

Package: indi-weewx-json
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for the WeeWX Weather Station
 This driver uses the WeeWX JSON plugin to provide weather data to INDI.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
